<template>
    <div class="block w-full h-auto p-10 relative outline-1 rounded-lg bg-white text-gray-900 text-left border"
    :style="{boxShadow: changeShadow}">
        <header>
            <slot name="header"></slot>
        </header>

        <main>
            <slot></slot>
        </main>

        <footer class="">
            <slot name="footer"></slot>
        </footer>
    </div>
</template>

<script>
    export default {
        props: {
            shadow: {
                type: String,
                default: 'sm'
            }
        },
        computed: {
            changeShadow(){
                let boxShadow = ''
                if (this.shadow === 'sm') {
                    boxShadow = '0 1px 2px 0 rgb(0 0 0 / 0.05);'
                } else if (this.shadow === 'lg') {
                    boxShadow = '0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)'
                } else if (this.shadow === 'xl') {
                    boxShadow = '0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)'
                } else {
                    boxShadow = '0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)'
                }
                return boxShadow
            }
        }
    }
</script>

<style lang="scss" scoped>

</style>